Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.web.loadbalancer
Class LoadbalancerServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.jboss.web.loadbalancer.LoadbalancerServlet

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class LoadbalancerServlet
extends javax.servlet.http.HttpServlet

A servlet that does the job of a reverse proxy.

Version:
  $Revision: 1.7 $
Author:
  Thomas Peuss
See Also:
  Serialized Form

Field Summary
`protected LoadbalancerServiceMBean` | `loadbalancer`
`protected String` | `loadbalancerName`
`protected static org.jboss.logging.Logger` | `log`

Constructor Summary
`LoadbalancerServlet()`

Method Summary
`void` | `destroy()`
`protected void` | `doDelete(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected void` | `doHead(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected void` | `doOptions(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected void` | `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected void` | `doPut(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected void` | `handleRequest(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, int requestMethod)` Handle the request for all request methods.
`void` | `init(javax.servlet.ServletConfig config)`
`protected void` | `initLoadbalancerDelegate()` Create a proxy to the loadbalancer

Methods inherited from class javax.servlet.http.HttpServlet
`doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.jboss.logging.Logger log

### loadbalancerName

    protected String loadbalancerName

### loadbalancer

    protected LoadbalancerServiceMBean loadbalancer

Constructor Detail

### LoadbalancerServlet

    public LoadbalancerServlet()

Method Detail

### handleRequest

    protected void handleRequest(javax.servlet.http.HttpServletRequest request,
                                 javax.servlet.http.HttpServletResponse response,
                                 int requestMethod)
                          throws javax.servlet.ServletException,
                                 IOException

  Handle the request for all request methods.

  Parameters:
    `request` -
    `response` -
    `requestMethod` -
  Throws:
    `javax.servlet.ServletException`
    `IOException`

### doGet

    protected void doGet(javax.servlet.http.HttpServletRequest request,
                         javax.servlet.http.HttpServletResponse response)
                  throws javax.servlet.ServletException,
                         IOException

  Throws:
    `javax.servlet.ServletException`
    `IOException`

### doPost

    protected void doPost(javax.servlet.http.HttpServletRequest request,
                          javax.servlet.http.HttpServletResponse response)
                   throws javax.servlet.ServletException,
                          IOException

  Throws:
    `javax.servlet.ServletException`
    `IOException`

### doDelete

    protected void doDelete(javax.servlet.http.HttpServletRequest request,
                            javax.servlet.http.HttpServletResponse response)
                     throws javax.servlet.ServletException,
                            IOException

  Throws:
    `javax.servlet.ServletException`
    `IOException`

### doHead

    protected void doHead(javax.servlet.http.HttpServletRequest request,
                          javax.servlet.http.HttpServletResponse response)
                   throws javax.servlet.ServletException,
                          IOException

  Throws:
    `javax.servlet.ServletException`
    `IOException`

### doOptions

    protected void doOptions(javax.servlet.http.HttpServletRequest request,
                             javax.servlet.http.HttpServletResponse response)
                      throws javax.servlet.ServletException,
                             IOException

  Throws:
    `javax.servlet.ServletException`
    `IOException`

### doPut

    protected void doPut(javax.servlet.http.HttpServletRequest request,
                         javax.servlet.http.HttpServletResponse response)
                  throws javax.servlet.ServletException,
                         IOException

  Throws:
    `javax.servlet.ServletException`
    `IOException`

### init

    public void init(javax.servlet.ServletConfig config)
              throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### destroy

    public void destroy()

### initLoadbalancerDelegate

    protected void initLoadbalancerDelegate()

  Create a proxy to the loadbalancer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.